Bug 53779 - Pump fails with lease-time greater than 9.7 years
Summary: Pump fails with lease-time greater than 9.7 years
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pump   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-18 14:11 UTC by Anders Blomdell
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-23 20:33:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Anders Blomdell 2001-09-18 14:11:21 UTC
in dhcp.c:

        intf->renewAt = now + (7 * lease / 8);

will overflow if lease > 9.7 years (2^31/(3600*24*365*7)), this bug is
fixed with:

        intf->renewAt = now + lease - (lease >> 3);

Comment 1 Eido Inoue 2004-08-23 20:33:56 UTC
changes in cvs, not pkg.


Note You need to log in before you can comment on or make changes to this bug.